* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --color-gold: #ffd700;
  --color-grey: #555;
  --color-red:#831a1a;
  --color-red-hover:#ff0000;
  --color-white:#FFFFF0;
  --color-black:#000000;
  --color-black-hover:#161516;
}
html {
  scroll-behavior: smooth;
  height: 100%;
}
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  background-color: var(--color-white);
}

:not(:defined) > * {
  display: none;
}

model-viewer {
  /* width: 100%;
  height: 90%; */
  width: 100%; 
  height: 500px;
  background-color: #ffffff;
}


.progress-bar {
  display: block;
  width: 33%;
  height: 10%;
  max-height: 2%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate3d(-50%, -50%, 0);
  border-radius: 25px;
  box-shadow: 0px 3px 10px 3px rgba(0, 0, 0, 0.5), 0px 0px 5px 1px rgba(0, 0, 0, 0.6);
  border: 1px solid rgba(255, 255, 255, 0.9);
  background-color: rgba(0, 0, 0, 0.5);
}

.progress-bar.hide {
  visibility: hidden;
  transition: visibility 0.3s;
}

.update-bar {
  background-color: rgba(255, 255, 255, 0.9);
  width: 0%;
  height: 100%;
  border-radius: 25px;
  float: left;
  transition: width 0.3s;
}

#ar-button {
  background-image: url(../img/ar_icon.png);
  background-repeat: no-repeat;
  background-size: 20px 20px;
  background-position: 12px 50%;
  background-color: #fff;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
  bottom: 16px;
  padding: 0px 16px 0px 40px;
  font-family: Roboto Regular, Helvetica Neue, sans-serif;
  font-size: 14px;
  color:#4285f4;
  height: 36px;
  line-height: 36px;
  border-radius: 18px;
  border: 1px solid #DADCE0;
}

#ar-button:active {
  background-color: #E8EAED;
}

#ar-button:focus {
  outline: none;
}

#ar-button:focus-visible {
  outline: 1px solid #4285f4;
}

@keyframes circle {
  from { transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg); }
  to   { transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg); }
}

@keyframes elongate {
  from { transform: translateX(100px); }
  to   { transform: translateX(-100px); }
}

model-viewer > #ar-prompt {
  position: absolute;
  left: 50%;
  bottom: 60px;
  animation: elongate 2s infinite ease-in-out alternate;
  display: none;
}

model-viewer[ar-status="session-started"] > #ar-prompt {
  display: block;
}

model-viewer > #ar-prompt > img {
  animation: circle 4s linear infinite;
}



/* ----------Navbar---------- */
/* Navbar dark */
html[data-color-mode="dark"] .navbar-custom,
html[data-color-mode="dark"] .dropdown-menu,
html[data-color-mode="dark"] .syarat .list-group-item {
  box-shadow: 0 6px 4px 0 rgba(0, 0, 0, 0.2);
  background-color: var(--color-red);
}
html[data-color-mode="dark"] nav .nav-link,
html[data-color-mode="dark"] .dropdown-menu .dropdown-item,
html[data-color-mode="dark"] .syarat .list-group-item {
  color:var(--color-white);
  font-weight: bold;
}
html[data-color-mode="dark"] nav .nav-link:hover,
html[data-color-mode="dark"] .syarat .list-group-item:hover {
  color: var(--color-red-hover);
}
html[data-color-mode="dark"] .dropdown-menu .dropdown-item:hover{
  color: var(--color-white);
  background-color: var(--color-red-hover);
}
.copyright-item{
  font-size: 18px;
}
.copyright-item small a{
  text-decoration: none;
}

/* ----------Media Queries---------- */
/* Laptop */
@media (max-width: 1366px) {
}
/* Tablet */
@media (max-width: 767px) {
}
/* Smartphone */
@media (max-width: 450px) {
}
